<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                template="/layout/template.xhtml">
	<ui:param name="ID" value="XCF1"/>
	<ui:define name="body">
		<h:form id="globalForm">
			<s:decorate id="messageDecoration">
				<rich:messages globalOnly="true" styleClass="message" />
			</s:decorate>
			#{xcfManagerBean.init()}
			<s:div id="globalDiv">
				<h1>#{xcfManagerBean.getTheNameOfThePage()}</h1>
				<gri:panel id="mainPanel">
					<f:facet name="header">#{xcfManagerBean.getTheNameOfThePage()}</f:facet>
					<s:div
						rendered="#{xcfManagerBean.selectedAffinityDomain!= null and xcfManagerBean.selectedTransaction!= null}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} " />
						<h:outputText value="#{xcfManagerBean.selectedTransaction.keyword}" />
						<br />
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} " />
								<h:outputLink value="/XDStarClient/configuration/common/configurations.seam"
                                              title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.YouCanAddOptionalMethadatasByClickingOnTheButton']}" /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequest']} " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToExecuteTheRequest']}" /></li>
						</ul>
					</s:div>
					<s:div id="configurationDiv">
						<ui:include src="/simu/header.xhtml">
							<ui:param name="divToRerender"
									  value="messageConfigurationDiv,messagesDiv,actionButtons"/>
							<ui:param name="simuManager" value="#{xcfManagerBean}" />
                            <ui:param name="diagramFile" value="/img/XCF.gif"/>
							<ui:param name="sourceID" value="" />
							<ui:param name="simulatorConfigurationName"
								value="#{messages['net.ihe.gazelle.xdstar.XCFInitiatingGatewaySimulator']}" />
							<ui:param name="displaySourceId" value="#{false}" />
							<ui:param name="displayhomeCommunityId" value="#{false}" />
						</ui:include>
						<s:div id="messageConfigurationDiv">
							<!-- MESSAGE TYPE -->
							<s:div id="messageTypeDiv">
								<s:decorate id="mtDecorate" template="/layout/edit.xhtml"
									rendered="#{(xcfManagerBean.selectedTransaction != null) and (xcfManagerBean.selectedConfiguration != null)}">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MessageType']}</ui:define>
									<h:outputText value="#{messages['net.ihe.gazelle.xdstar.CrossGatewayFetch']}" />
								</s:decorate>
							</s:div>
							<s:div id="messageConfigurationDivR"
								rendered="#{xcfManagerBean.selectedConfiguration != null}">
								<f:subview id="subview_1">
									<ui:include src="/rsqcommon/parameters.xhtml">
										<ui:param name="CommonAQManagerBean" value="#{xcfManagerBean}" />
									</ui:include>
								</f:subview>
								<!-- RETURN TYPE -->
								<s:div id="returnTypeDiv">
									<s:decorate id="rtDecorate" template="/layout/edit.xhtml"
										rendered="#{xcfManagerBean.selectedConfiguration != null}">
										<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ReturnType']}</ui:define>
										<h:selectOneMenu value="#{xcfManagerBean.selectedReturnType}" styleClass="form-control gzl-form-control gzl-select-text">
											<f:selectItems value="#{xcfManagerBean.getListOfReturnTypes()}" var="rt" label="#{rt}"
												noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}" />
										</h:selectOneMenu>
									</s:decorate>
								</s:div>
								<!-- XUA -->
								<!-- 
								<a4j:include viewId="/simu/xua.xhtml">
									<ui:param name="simuManager" value="#{xcfManagerBean}" />
								</a4j:include>
							 	-->
							</s:div>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{xcfManagerBean.selectedConfiguration != null}" render="previewMessagePanel" styleClass="gzl-btn-blue" />
						<a4j:commandButton id="sendButton" actionListener="#{xcfManagerBean.sendMessage()}"
							value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
							rendered="#{xcfManagerBean.selectedConfiguration != null}" render="messagesDiv" styleClass="gzl-btn-green" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" actionListener="#{xcfManagerBean.reset()}"
							value="#{messages['net.ihe.gazelle.xdstar.Reset']}" render="globalDiv" styleClass="gzl-btn" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<br />
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel" rendered="#{xcfManagerBean.displayResultPanel == true}">
						<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<f:subview id="subview_2">
							<ui:include id="messageTable" src="/messages/messageTable.xhtml">
								<ui:param name="messageManagerBean" value="#{allMessageManagerBean}" />
							</ui:include>

						</f:subview>
						<br />

						<s:div>
							#{allMessageManagerBean.initFirstMessage()}
							<ui:include src="/rsqcommon/respViewer.xhtml">
								<ui:param name="resp" value="#{allMessageManagerBean.selectedAdhocQueryResponseType}" />
							</ui:include>
							<br />
						</s:div>

					</gri:panel>
				</s:div>
			</s:div>
		</h:form>
		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:div id="previewMessagePanelDiv" rendered="#{xcfManagerBean.selectedConfiguration != null}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent" content="#{xcfManagerBean.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>
		<f:subview id="subview_4">
			<ui:include src="/rsqcommon/aqmodalPanels.xhtml">
				<ui:param name="CommonAQManagerBean" value="#{xcfManagerBean}" />
			</ui:include>
		</f:subview>
	</ui:define>
</ui:composition>
